%define phpsource       %{_prefix}/src/php-devel
%{expand:%(cat /usr/src/php-devel/PHP_BUILD||(echo -e "error: failed build dependencies:\n        php-devel >= 430 (4.3.0) is needed by this package." >/dev/stderr;kill -2 $PPID))}

%define rversion	0.9.4
%define release		1mdk

%define realname	Imagick
%define modname		imagick
%define dirname		%{modname}
%define soname		%{modname}.so
%define inifile		55_%{modname}.ini
%define mod_src		%{modname}.c
%define rlibs		freetype freetype2 XFree86 XFree86-libs ImageMagick libMagick5.5.4 zlib1 >= 1.1.4 liblcms1 libbzip2_1
%define blibs		freetype2-devel freetype-devel XFree86-devel libMagick5.5.4-devel zlib1-devel >= 1.1.4 liblcms1-devel libbzip2_1-devel

Summary:		Provides a wrapper to the Image Magick Library for PHP4
Name:			php-%{modname}
Version:		%{phpversion}_%{rversion}
Release:		%{release}
Group:			System/Servers
URL:			http://pear.php.net/package-info.php?pacid=76
License:		PHP License
Source0:		%{modname}-%{rversion}.tar.bz2
Requires:		libphp_common%{libversion}
Requires:		%{rlibs}
Requires:		php%{libversion}
BuildRequires:  	php%{libversion}-devel
BuildRequires:		%{blibs}
BuildRoot:		%{_tmppath}/%{name}-root
Provides: 		ADVXpackage

%description
The %{name} package is a dynamic shared object (DSO) that adds
%{realname} support to PHP. PHP is an HTML-embedded scripting language. 
If you need %{realname} support for PHP applications, you will need to 
install this package in addition to the php package.

%{name} is a native php-extension. See the examples in the 
%{_docdir}/%{name}-%{rversion}/examples directory
for some hints on how to use it. 

%prep
%setup -q -n imagick-%{rversion}

%build

phpize
aclocal
%configure --with-imagick
%make
mv modules/*.so .
%{phpdir}/build/php-killrpath %{soname}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 
mkdir -p %{buildroot}%{phpdir}/extensions
mkdir -p %{buildroot}%{_sysconfdir}/php

install -m755 %{soname} %{buildroot}%{phpdir}/extensions/

cat > README.%{modname} <<EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
To activate it, make sure a file /etc/php/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

cat > %{buildroot}%{_sysconfdir}/php/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%doc examples CREDITS INSTALL README.%{modname}
%{phpdir}/extensions/%{soname}
%config(noreplace) %{_sysconfdir}/php/%{inifile}

%changelog
* Tue Feb 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1_0.9.4-1mdk
- fix the php versioning
- rebuild against new libMagick5.5.4

* Mon Feb 17 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.4-2mdk
- what's ibMagick5.5.4 ? ;)

* Mon Feb 17 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.4-1mdk
- 0.9.4
- rebuilt against libMagick5.5.4
- misc spec file fixes

* Sun Jan 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.3-3mdk
- really rebuilt against rebuilt buildrequires

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.3-2mdk
- rebuilt against rebuilt buildrequires

* Fri Jan 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.3-1mdk
- built against php-4.3.0
- 0.9.3
- follow the spec file design as in main
- use provided %{phpdir}/build/php-killrpath ;)

* Tue Dec 03 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.0.1-1mdk
- initial cooker contrib
